org.gitana.platform.services.billing

## Class PaymentMethodValidation

- java.lang.Object
- - org.gitana.platform.support.GitanaObjectImpl
  - - org.gitana.platform.services.billing.PaymentMethodValidation

All Implemented Interfaces:
  Serializable, GitanaObject, JSONable

    public class PaymentMethodValidation
    extends GitanaObjectImpl

Author:
  uzi
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PaymentMethodValidation()`
`PaymentMethodValidation(com.fasterxml.jackson.databind.node.ObjectNode object)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addError(int code, String message)`
`void` `addError(PaymentMethodValidationCode validationCode)`
`boolean` `isValid()`
`List<PaymentMethodValidationError>` `listErrors()`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PaymentMethodValidation

    public PaymentMethodValidation(com.fasterxml.jackson.databind.node.ObjectNode object)

#### PaymentMethodValidation

    public PaymentMethodValidation()

### Method Detail

#### isValid

    public boolean isValid()

#### listErrors

    public List<PaymentMethodValidationError> listErrors()

#### addError

    public void addError(int code,
                         String message)

#### addError

    public void addError(PaymentMethodValidationCode validationCode)